# Registry of C3D2 machines.

rec {
  hosts = {
    ledstripes.publicKey =
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIHRwhszG9T8ZWuSRkAupCPi7YDQBdaX0YzoQSsvCSpzC";

    glotzbert = {
      ether = "ec:a8:6b:fe:b4:cb";
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAnEWn/8CKIiCtehh6Ha3XUQqjODj0ygyo3aGAsFWgfG";
      wol = true;
    };

    mpd-index = { };
    nfs = { };
    ncdc.publicKey =
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGzWhy2T7avsFf+ZS8R99kah2wPQs7MYWUP+t4VBi28a";
    pulsebert = {
      ether = "dc:a6:32:31:b6:32";
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIE9RKlt+mIew5epxHt7Gab44yFOdeD+L/EhhA6Ospzyq";
      wol = true;
      ip4 = "pulsebert.hq.c3d2.de";
    };
    samba = { };
    storage-ng.publicKey =
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMeg5ojU7U8+Lx824y+brazVJ007mEJDM7C7aUruOWGP";

    server1 = {
      ip4 = "172.20.72.1";
      publicKey = ''
        ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBD7M0j9goPMstNFj8dkNjMIgKFvbIGqpgeNKDjwTQdl5QJE+mE0k5/t8RlhN0MprZBr8px8PZw1dZlXAMLK4FQs=
      '';
    };

    server3 = {
      ip4 = "172.22.99.13";
      ip6 = "2a00:8180:2c00:223::13";
      publicKey = ''
        ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBHBQq8QxGUdvQTF6QPiRYHtD73ls4zoUcOtAPLVN/7dDZk7KZLQ+c373VB5jd9FfYKB2/w8lDCHXVi1sY26e+QE=
      '';
    };
    server4 = {
      ip4 = "172.22.99.14";
      ip6 = "2a00:8180:2c00:223::14";
      publicKey = ''
        ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBGUwIWqP92toOSuV16wSN46t05RUKu609pqV2aexj8+DTO/hM8QWrhv51/jQG6TGmabZNlXbEvKMt48mW69uy48=
      '';
    };
    server5 = {
      ip4 = "172.22.99.15";
      ip6 = "2a00:8180:2c00:223::15";
      publicKey = ''
        ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBB1qxi7ROlXvbmmeBJvNqyJdGDZG35e38RHujtqqDJXORwhy63LdW5jlv/09fNRj4nQMvKwdY5Oew2xgTzkaDwE=
      '';
    };
    server6 = {
      ip4 = "172.22.99.16";
      ip6 = "2a00:8180:2c00:223::16";
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIHhcvlbZ4TjAb6eQkYB2/Z3o/PHQVyAS6iEdGX+CEbGD";
    };
    storage.publicKey =
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBbjG4uY8A0IJHRKjiQwt9JbuLDNVaTcwNJN8J4z6mgX";
    yggdrasil = {
      ip4 = "172.20.72.62";
      ip6 = "2a00:8180:2c00:281:9000::1";
      ygg = "201:4561:bb58:4dac:5f6a:7b23:44f:a5ef";
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIHDmEymILp4IACjCbtMXx6eKPuTZHKyPUfAev05Gn7hi";
    };
    freifunk = {
      ip4 = "172.20.72.40";
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMFbxHGfBMBjjior1FNRub56O62K++HVnqUH67BeKD7d";
    };
    matemat = {
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBa07c4NnU1TGX1SMNea9e1d4nMtc0OS4gJLmTA3g/fe";
    };
    scrape = {
      ip4 = "172.20.73.32";
      ip6 = "2a00:8180:2c00:282:e073:50ff:fef5:eb6e";
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEGxPgg6nswoij1fBzDPDu6h4+d458XL2+dBxAx9KVOh";
    };

    dn42 = {
      ip4 = "172.22.99.253";
    };

    grafana = {
      ip6 = "2a00:8180:2c00:282:4042:fbff:fe4b:2de8";
      publicKey =
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPFB9fo01jzr2upEBEXiR7sSmeQoq9ll5Cf5/hjq5e4Y";
    };

    hydra = {
      ip4 = "172.20.73.49";
      ip6 = "2a00:8180:2c00:282:e03c:d7ff:fe8e:fe16";
    };

    mucbot = {
      ip4 = "172.20.73.27";
      ip6 = "2a00:8180:2c00:282:28db:dff:fe6b:e89a";
    };

    kibana = {
      ip4 = "172.20.73.44";
      ip6 = "2a00:8180:2c00:282:460:7cff:fe28:76b2";
    };

    public-access-proxy = {
      ip4 = "172.20.73.45";
      ip6 = "2a00:8180:2c00:282:1024:5fff:febd:9be7";
    };

    dacbert.ip4 = "dacbert.hq.c3d2.de";
  };

  hqGlobal = builtins.attrNames hosts;
  hqLocal = builtins.attrNames hosts;
}
