{ config, pkgs, lib, tigger, ... }:

{
  networking.hostName = "mucbot";
  networking.interfaces.eth0.ipv4.addresses = [{
    address = "172.20.73.27";
    prefixLength = 26;
  }];
  networking.defaultGateway = "172.20.73.1";
  networking.nameservers =
    [ "172.20.73.8" "172.20.72.6" "172.20.72.10" "9.9.9.9" ];

  users.users.tigger = {
    createHome = true;
    isNormalUser = true;
    group = "tigger";
  };
  users.groups.tigger = { };
  services.tigger = {
    enable = true;
    user = "tigger";
    group = "tigger";
    jid = pkgs.mucbot.jid;
    password = pkgs.mucbot.password;
    mucs =
      [ "c3d2@chat.c3d2.de/Astrobot" "international@chat.c3d2.de/Astrobot" ];
  };

  # This value determines the NixOS release with which your system is to be
  # compatible, in order to avoid breaking some software such as database
  # servers. You should change this only after NixOS release notes say you
  # should.
  system.stateVersion = "18.09"; # Did you read the comment?
}
