{ pkgs, ... }:

let
  keys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILpMhnSYDzeopiK+uDz8hQSGnJ7l2lh5Te1PWtiCGiO2 sandro@nitrogen"
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFidD6Snqgd8J7avxHvdDd81rdi0zNZWSilBe3eaTIlv sandro@magnesium"
  ];
in {

  nix.trustedUsers = [ "sandro" ];

  programs = {
    bash.enable = true;
    tmux.enable = true;
  };

  users.users.sandro = {
    isNormalUser = true;
    extraGroups = [ "users" "wheel" ];
    openssh.authorizedKeys.keys = keys;
  };

  users.users.root.openssh.authorizedKeys.keys = keys;

  nix.sshServe.keys = keys;
}
